EDIT - bug #6763

Editors do not ask for saving when closing the workbench

06/28/2017 04:32 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.12

Severity: normal Found in Version:

Description

If the specimen editor has unsaved changes and the Taxonomic Editor is closed there is no pop up asking if the user wants to save

Related issues:

Has duplicate EDIT - bug #7112: Ask for saving dirty editors when closing Tax... New

Associated revisions

Revision b5543bab - 11/24/2017 08:35 AM - Patrick Plitzner

ref #6763 Prompt for save when closing workbench

Revision b016eb1b - 11/24/2017 08:41 AM - Patrick Plitzner
ref #6763 Catch potential exception

Revision 2fef74fd - 11/24/2017 01:41 PM - Patrick Plitzner

ref #6763 Prompt for save when closing workbench

Revision 264e40a8 - 11/24/2017 01:41 PM - Patrick Plitzner
ref #6763 Catch potential exception

History

#1 - 07/21/2017 10:27 AM - Andreas Mdiller

- Target version changed from Release 4.9 to Release 4.10

#2 - 09/24/2017 01:04 AM - Andreas Miiller

Is this still an open issue?

#3 - 09/26/2017 01:49 PM - Patrick Plitzner

- Target version changed from Release 4.10 to Release 4.11

Yes, this still happens

#4 - 11/08/2017 11:22 AM - Andreas Mdiller

- Target version changed from Release 4.11 to Release 4.12

#5 - 11/24/2017 08:35 AM - Patrick Plitzner

- Subject changed from Specimen editor does not ask for saving when closing the workbench to Editors do not ask for saving when closing the

workbench

generalized topic because it happens for all e4 migrated editors while we are still using the e3-e4-bridge.

#6 - 11/24/2017 08:44 AM - Patrick Plitzner

| added a check prior to closing the workbench where the user is asked to save the editors. Pressing "Cancel" will not stop the workbench from
shutting down. This is only temporary as with full e4 migration the behavior is provided by the platform itself and works as expected.

#7 - 11/24/2017 10:11 AM - Andreas Miiller
- Tags set to eclipse4

#8 - 11/24/2017 10:11 AM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 10

#9 - 12/05/2017 02:56 PM - Patrick Plitzner

- Target version changed from Release 4.12 to Release 4.13

Moving to next milestone. Will only be solved after full migration

#10 - 12/05/2017 03:15 PM - Patrick Plitzner
- Has duplicate bug #7112: Ask for saving dirty editors when closing Taxeditor added

#11 - 12/05/2017 03:17 PM - Patrick Plitzner

- Status changed from In Progress to Duplicate

duplicated by #7112

#12 - 12/05/2017 03:20 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.12

#13 - 12/05/2017 03:22 PM - Andreas Miiller

- Status changed from Duplicate to Closed

This was implemented as workaround as long as full e4 migration does not yet exist.

#14 - 12/05/2017 03:22 PM - Andreas Miiller
- % Done changed from 10 to 100
